/**	\file Types.h
 **	\date  2008-05-26
 **	\author grymse@alhem.net
**/
/*
Copyright (C) 2008-2009  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef _Types_H
#define _Types_H

#include <string>

class Wsdl;
class Application;
class XmlNode;

class Types
{
public:
	Types(const Application& appl, const Wsdl& wsdl);
	~Types();

	void generate();

	void create_ifile();

	void display(const std::string& name, const XmlNode& node);

private:
	const Application& m_appl;
	const Wsdl& m_wsdl;

};




#endif // _Types_H
